<!DOCTYPE html>
<html lang="ja"><head>
	<meta name="format-detection" content="telephone=no" />
	<meta name="viewport" content="width=640,user-scalable=yes,maximum-scale=0.67" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=99" />
	<link rel="apple-touch-icon" href="/jscss/images/iphone_icon.png" />
	<link rel="shortcut icon" href="/jscss/images/favicon.ico" />
	<title>FHCコマンダー</title>
	<base href="/"></base>
	<style>
	h1,h2,h3,h4,h5,h6{
		font-size: 100%;
		font-weight: normal;
		padding:10px;
		margin:0;
	}	

	html{
		height:100%;
		min-height: 100%;
	}
	body{
		font-size: 16px;
		font-family: Helvetica, Arial, sans-serif ;
		margin: 0;
		padding: 0;
		height:100%; 
	}
	
	body > .page {
		height: auto;
	}

	.header_pc{
		margin:0 auto;
		border: 1px solid #AAA ;
		background: white ;
		color: black ;
		font-weight: bold;
		text-shadow: 0  -1px  1px  black ;
		background-image: -webkit-gradient(linear, left top, left bottom, from( #3C3C3C ), to( #111 ));
		background-image: %BCSS%linear-gradient( white , #CCC );
		background-image: linear-gradient( white , #CCC );
		text-align:center;
		border-style:none;
	}
	

	.button {
		width:500px;

		padding: .6em 20px;
		display: block;
		text-overflow: ellipsis;
		overflow: hidden;

		%BCSS%border-radius: 1em ;
		border-radius: 1em ;
		margin:0 auto;

		border: 1px solid #AAA ;
		background: white ;
		color: black ;
		background-image: -webkit-gradient(linear, left top, left bottom, from( #3C3C3C ), to( #111 ));
		background-image: %BCSS%linear-gradient( white , #CCC );
		background-image: linear-gradient( white , #CCC );
	}

	.button:hover {
		background-image: -webkit-gradient(linear, left top, left bottom, from( #CCCCCC ), to( #111 ));
		background-image: %BCSS%linear-gradient( white , #999 );
		background-image: linear-gradient( white , #999 );
	}
	.button:disabled {
		background-image: -webkit-gradient(linear, left top, left bottom, from( #999 ), to( #111 ));
		background-image: %BCSS%linear-gradient( #999 , #999 );
		background-image: linear-gradient( #999 , #999 );
		color: #f0f0f0;
	}

	.clearfix{
		clear:both;
		float:none;
	}
	
	#local {
		min-height: 100%;
		height: 100%;
	}

	.contents_wrapper {
		width:1000px;
		margin:0 auto;
		min-height: 100%;
		height: 100%;
		background: url("/jscss/images/bodybg.gif") repeat-y scroll center 0 !important;
		background-color: #ffffff;
	}
	.contents_main {
		margin:0px 70px;
	}

	.header_title { /* ヘッダー 要素を全力で消す。 ただし下線 border-buttom だけ残します */
		width: 950px;
		margin: 0 auto;
		position: relative;
		font-family: Helvetica, Arial, sans-serif; ;
		border-bottom: 1px solid #AAA;
		border-top: none;
		border-left: none;
		border-right: none;
		color: black; ;
		font-weight: bold;
		text-shadow: 0;  -1px  1px  black;
	}
	.navigationbar {
		height: 64px;
		border: none;
		border-width: 0;
		padding: 0;
		margin: 0;
	}

	.navigationbar .navigationbar_icon {
		display:inline-table;
		vertical-align:middle;
		width: 64px;
	}
	.navigationbar .navigationbar_title {
		display:inline-table;
		vertical-align:middle;
		width: 650px;
	}
	.navigationbar .navigationbar_title .navigationbar_title_span {
		display:inline-table;
		vertical-align:middle;
		font-size:1.8em;
	}
	.navigationbar .navigationbar_sensor {
		display:inline-table;
		vertical-align:middle;
		margin-top: 25px;
		width: 180px;
		font-size:16px;
	}
	.navigationbar .navigationbar_sensor .sensor_name {
	}
	.navigationbar .navigationbar_sensor .sensor_value {
	}

	.navigationbar .navigationbar_xspeech {
		display: none;
		vertical-align:middle;
		width: 16px;
	}

	.navigationbar .navigationbar_xspeech input {
		vertical-align:middle;
		%BCSS%transform: scale(3.6,2.6);
		transform: scale(3.6,2.6);
		width: 16px;
	}

	.footermenu{
		margin-left: 60px;
	}

	.footermenu_buton {
		box-shadow: 0 2px 6px rgba(0,0,0,0.5), inset 0 1px rgba(255,255,255,0.3), inset 0 10px rgba(255,255,255,0.2), inset 0 10px 20px rgba(255,255,255,0.25), inset 0 -15px 30px rgba(0,0,0,0.1);
		%BCSS%box-shadow: 0 2px 6px rgba(0,0,0,0.5), inset 0 1px rgba(255,255,255,0.3), inset 0 10px rgba(255,255,255,0.2), inset 0 10px 20px rgba(255,255,255,0.25), inset 0 -15px 30px rgba(0,0,0,0.1);

		border-radius: 10px;
		%BCSS%border-radius: 10px;

		height: 64px;
		margin: 10px;
		padding: 10px;
		border: 1px solid #ccc;
		background: #ffd;
		width: 400px;
		font-size: 1.6em;
		float: left;
	}
	.footermenu_buton:hover {
		cursor: pointer;
		border: 1px solid rgba(0,0,0,0.2);
		background: rgba(255,240,112,1);
	}
	.footermenu_buton .footermenu_buton_icon {
		float: left;
	}
	.footermenu_buton .footermenu_buton_name {
		line-height:2.9;
		margin-top:-6px;
	}
	.sub_head {
		border-left:5px solid #1871B8;padding:5px;
		margin-top:10px;
		margin-bottom:10px;
	}
	.error {
		display: none;
		color: red;
		padding:10px;
	}
	
	.minput_tag {
		display: block;

		%BCSS%appearance: none;
		appearance: none;

		background-image: none;
		padding: .4em;
		line-height: 1.4;
		width: 50%;
		outline: 0;
		margin: .25em 5px;
		%BCSS%box-shadow: inset 0px 1px 4px rgba(0, 0, 0, .2);
		box-shadow: inset 0px 1px 4px rgba(0, 0, 0, .2);

		%BCSS%background-clip: padding-box;background-clip: padding-box;
		border: 1px solid #AAA ;
		color: #333 ;
		text-shadow: 0  1px  0  white ;
		background: url(/jscss/images/bodybg.gif) repeat-y scroll center 0 white;

		%BCSS%border-radius: .6em ;
		border-radius: .6em ;
	}

   	.popupselect {
		width: 450px;
		margin:0 auto;
		background-color: #fff;
   	}
   	
 	.popupselect .pitembox {
		position:	relative;
		width: 150px;
		height: 128px;
	}
  	.popupselect .pitembox .pmainicon {
		position:	absolute;
		top:		0px;
		left:		0px;
		width:		128px;
		height:		128px;
	}

	.popupselect .pitembox .ptype {
		font-weight:	normal;
		position:		absolute;
		top:			20px;
		left:			130px;
		width:			260px;
		font-size:	14px;
	}

	.popupselect .pitembox .pstatus {
		font-weight:	normal;
		position:		absolute;
		top:			35px;
		left:			130px;
		width:			200px;
		font-size:	14px;
	}
	
	.popupselect .pitembox .pclose {
		cursor: pointer;
		font-weight:	normal;
		position:		absolute;
		top:			5px;
		left:			410px;
		width:			40px;
		height:			20px;
		font-size:		14px;
		background-color: #0f0f0f;
		color:            #000;
		background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #f4f5f5), color-stop(100%, #dfdddd));
		background-image: %BCSS%linear-gradient(top, #f4f5f5, #dfdddd);
		background-image: linear-gradient(top, #f4f5f5, #dfdddd);filter:progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#f4f5f5, endColorstr=#dfdddd);
	}

	
	.popupselect .popupselect_ul {
		list-style-type: none;
		border: none;
		padding: 0px;
		width:   450px;
		height:  100%;
	}
	.popupselect .popupselect_li {
		cursor: pointer;
		background-color: #0f0f0f;
		color:            #000;
		float: left;
		font-weight:      normal;
		border-radius:    40px;
		text-align:       center;

		border: none;
		width:  90px;
		min-height: 35px;
		max-height: 35px;
		padding:35px 5px;
		margin:5px;
		border:1px solid #d7dada;

		%BCSS%border-radius: 10px;
		border-radius: 10px;

		text-shadow: 0px 1px 1px #fff;
		 background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #f4f5f5), color-stop(100%, #dfdddd));
		 background-image: %BCSS%linear-gradient(top, #f4f5f5, #dfdddd);
		 background-image: linear-gradient(top, #f4f5f5, #dfdddd);filter:progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#f4f5f5, endColorstr=#dfdddd);
   	}
   	.popupselect .popupselect_li:hover {
		background-color: #f0f000;
		border:1px solid #bfc4c4; background-color: #f4f5f5;
		 background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#f4f5f5), color-stop(100%, #c6c3c3));
		 background-image: %BCSS%linear-gradient(top, #f4f5f5, #c6c3c3);
		 background-image: linear-gradient(top, #f4f5f5, #c6c3c3);filter:progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#f4f5f5, endColorstr=#c6c3c3);
   	}

	.dialog {
		border: 10px solid #AAA ;
	}

	/* http://jsdo.it/kkotaro0111/jdUJ */
	.papertag{
		margin:0;
		padding:10px;
		background-color:rgba(0, 0, 0, .1);
		width:500px;
		border-left:15px solid #eeeeee;
		padding:15px 20px;
		position:relative;
		z-index:1;
		margin-bottom:20px;
	}
	.papertag p {
		%BCSS%transform: skew(0, -1deg);
		transform: skew(0, -1deg);
		margin-top:-0.5em;
		margin-left:-1em;
	}

	.papertag:before{
		margin:0;
		padding:0;
		content:" ";
		width:100%;
		height:100%;
		position:absolute;
		top:0px;
		left:0px;
		z-index:-2;
		box-shadow: 6px 2px 4px rgba(0, 0, 0, .1);
	}

	.papertag:after{
		margin:0;
		padding:0;
		content:" ";
		width:100%;
		height:100%;
		position:absolute;
		top:-5px;
		left:0px;
		z-index:-1;
		background-color:#eeeeee;

		%BCSS%transform: skew(0, -1deg);
		transform: skew(0, -1deg);
	}

	.papertag.yellow{
		margin:0;
		padding:10px;
		border-left:15px solid #F5F2BA;
	}
	.papertag.yellow:after{
		margin:0;
		padding:0;
		 background-color:#F5F2BA;
	}

	.papertag.green{
		margin:0;
		padding:10px;
		border-left:15px solid #D0F5D4;
	}
	.papertag.green:after{
		margin:0;
		padding:0;
		 background-color:#D0F5D4;
	}

	.papertag.red{
		margin:0;
		padding:10px;
		border-left:15px solid #F5D0E4;
	}
	.papertag.red:after{
		margin: 0;
		padding:0;
		 background-color:#F5D0E4;
	}

	.papertag.purple{
		margin:0;
		padding:10px;
		border-left:15px solid #D0D0F5;
	}
	.papertag.purple:after{
		margin: 0;
		padding:0;
		 background-color:#D0D0F5;
	}

	.papertag.blue{
		margin:0;
		padding:10px;
		border-left:15px solid #A0D0F5;
	}
	.papertag.blue:after{
		margin: 0;
		padding:0;
		 background-color:#A0D0F5;
	}

/* for mobile */
@media screen and (max-device-width: 640px), screen and (max-width: 640px) {
	body {
		font-size:22px;
		font-family:Helvetica, HiraKakuProN-W3, sans-serif;
		line-height:1.4;
	}

	.contents_wrapper {
		width:640px;
		margin:0 auto;
	}
	.contents_main {
		margin:0px 20px;
	}
	.header_title {
		width:640px;
	}
	.header_pc {
		display: none;
	}

	.button {
		font-size: 1.2em;
		display: inline;
		width: 400px;
	}

	.navigationbar {
		height: 64px;
		border: none;
		border-width: 0;
		padding: 0;
		margin: 0;
	}
	.navigationbar .navigationbar_icon {
		display:inline-table;
		vertical-align:middle;
		width: 64px;
	}
	.navigationbar .navigationbar_title {
		display:inline-table;
		vertical-align:middle;
		width: 390px;
	}
	.navigationbar .navigationbar_title .navigationbar_title_span {
		display:inline-table;
		vertical-align:middle;
		font-size:1.8em;
	}
	
	.navigationbar .navigationbar_sensor {
		width: 140px;
		margin-top: 10px;
		font-style: normal;
		font-size: 18px;
	}
	.navigationbar .navigationbar_sensor .sensor_name {
	}
	.navigationbar .navigationbar_sensor .sensor_value {
	}

	
	.navigationbar .navigationbar_xspeech {
		display: none;
		vertical-align:middle;
		width: 16px;
	}
	.navigationbar .navigationbar_xspeech input {
		vertical-align:middle;
		%BCSS%transform: scale(3.6,2.6);
		transform: scale(3.6,2.6);
		width: 16px;
	}

	.footermenu{
		margin-left: 0px;
	}
	.footermenu_buton {
		width: 270px;
		font-size: 1.1em;
	}

	.minput_tag {
		font-size: 1.2em;
		width: 70%;
	}

	.idpass_name {
		width: 150px;
		height: 64px;
		display:inline-table;
		vertical-align:middle;
		font-size: 1.2em;
	}
	.idpass_name .cell {
		display:table-cell;
		vertical-align:middle;
	}
	
	.idpass_input {
		width: 600px;
		height: 64px;
		display:inline-table;
		vertical-align:middle;
	}
	.idpass_input .cell {
		display:table-cell;
		vertical-align:middle;
		font-size: 1.4em;
	}

}
	</style>
</head>
<body>
<div id="local" class="page">

	<div class="header_pc"> 
		<h1><a href="/" ><img src="/jscss/images/fhc700.png" /></a></h1>
	</div>

	<div class="contents_wrapper">
		<div data-role="header" class="header_title">
			<fieldset class="navigationbar">
				<div class="navigationbar_icon"><img src="/jscss/images/icon_1r_64.png" /></div>
				<div class="navigationbar_title"><span class="navigationbar_title_span">FHCコマンダー</span></div>
			</fieldset>
		</div>

		<div class="contents_main">
			<p>FHCコマンダーを利用する必要な情報です。</p>
			<table>
				<tr>
					<th>FHCコマンダーのHOST</th>
					<td><span class="" id="local_host"></span></td>
				</tr>
				<tr>
					<th>SECRET</th>
					<td><span class="" id="local_secret"></span></td>
				</tr>
			</table>
			<br />
			<input type="button" id="local_secret_update_button" class="button" value="SECRETの再発行">
			<br />
			<div align="right"><br /><div  align="left" class="papertag red">
				この値を使うと、FHCからこのPCを利用することができます。<br />
				詳しくは、ヘルプを御覧ください。<br />
				「ヘルプ-PCをコントロールにするは？」<br>
				「ヘルプ-リモートスピーカを利用するには？」<br>
				<br />
			</div></div>
			<br />

			<p>FHC端末を検索します。</p>
			<table>
				<tbody>
				<tr id="local_search_trth">
					<th>FutureHomeController HOST</th><th>login</th>
				</tr>
				<tr id="local_search_now_search" style="display: none">
					<th colspan="2"><img src="/jscss/images/ajax-loader.gif" />検索中・・・・</th>
				</tr>
				<tr id="local_search_not_found" style="display: none">
					<td colspan="2">1台も見つかりませんでした。<br />FHC本体の電源ケーブルやLANケーブルを確認してください。</td>
				</tr>
				</tbody>
			</table>
			<input type="button" id="local_fhc_search_button" class="button" value="再検索"><br />
			<br />

		</div>
	</div><!-- /contents_wrapper -->
</div><!-- /page top -->
</body>

<script type="text/javascript" src="/jscss/jquery.js"></script>
<script>
var g_localValue = %LOCAL_VALUE%;
var g_localObject = null;
$(function(){
	g_localObject = $("#local");
	
	g_localObject.find("#local_secret_update_button").click(function(){
		if (!confirm("SECRETを再発行してもよろしいですか？\r\n再発行すると、今まで設定したFHCとのリンクが失われます。\r\n"))
		{
			return ;
		}

		//secretの更新
		$.ajax({
				type: "post",
				url: "/local/local_secret_update",
				timeout: 50000,
				data: {},
				dataType: 'json',
				success: function(d){
					if ( d['status'] != "ok" )
					{
						alert("再発行に失敗しました");
						return ;
					}

					g_localValue["local_secret"] = d["local_secret"];
					g_localObject.find("#local_secret").text(d["local_secret"]);
					return ;
				},
				error: function(d){
					alert("再発行に失敗しました。jsonがエラーになりました。");
					return ;
				}
		});
	});

	g_localObject.find("#local_fhc_search_button").click(function(){
		//FHCの検索
		var selfButtonObject = g_localObject.find("#local_fhc_search_button");
		selfButtonObject.attr("disabled", "disabled");

		var tableObject = g_localObject.find("#local_search_trth").parent();
		tableObject.find(".local_found_trth").remove();
		tableObject.find("#local_search_not_found").hide();
		tableObject.find("#local_search_now_search").show();

		$.ajax({
				type: "post",
				url: "/local/local_fhc_search",
				timeout: 50000,
				data: {},
				dataType: 'json',
				success: function(d){
					$("#local_search_now_search").hide();
					selfButtonObject.removeAttr("disabled");
					if ( d['status'] != "ok" )
					{
						alert("検索に失敗しました");
						return ;
					}

					var found = false;
					for(var i = 1 ; i < 255 ; i ++)
					{
						var host = d['found_' + i + '_host'];
						if (!host)
						{
							break;
						}
						tableObject.append($('<tr class="local_found_trth"><th>' + host + '</th><th><a href="http://' + host + '/remocon/" class="button" target="_blank">ログインする</a></th>'));
						found = true;
					}
					
					if (!found)
					{
						tableObject.find("#local_search_not_found").show();
					}

					return ;
				},
				error: function(d){
					$("#local_search_now_search").hide();
					selfButtonObject.removeAttr("disabled");
					return ;
				}
		});
	});

	g_localObject.find("#local_host").text(g_localValue["local_host"]);
	g_localObject.find("#local_secret").text(g_localValue["local_secret"]);
	
	g_localObject.find("#local_fhc_search_button").click();
});
</script>
</html>